paymasterBalance
curl --request POST \
--url 'https://paymaster.particle.network/#pm_paymasterBalance' \
--header 'Content-Type: application/json' \
--data '
{
"jsonrpc": "2.0",
"id": 0,
"method": "pm_paymasterBalance",
"params": [
"<unknown>"
]
}
'import requests
url = "https://paymaster.particle.network/#pm_paymasterBalance"
payload = {
"jsonrpc": "2.0",
"id": 0,
"method": "pm_paymasterBalance",
"params": ["<unknown>"]
}
headers = {"Content-Type": "application/json"}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({jsonrpc: '2.0', id: 0, method: 'pm_paymasterBalance', params: ['<unknown>']})
};
fetch('https://paymaster.particle.network/#pm_paymasterBalance', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"jsonrpc": "2.0",
"id": 0,
"result": {
"balance": "0xBalance"
}
}Paymaster RPC
paymasterBalance
Learn how to use the paymasterBalance JSON-RPC method.
POST
/
#pm_paymasterBalance
paymasterBalance
Understanding paymasterBalance
paymasterBalancereturns the USD balance (6 decimals) of the Paymaster associated with yourprojectId(projectUuid) andserverKey(projectKey). It takes no parameters other than theprojectUuidandprojectKeyfor authentication.
Query example
JavaScript
import Axios from "axios";
const projectUuid = "Your project uuid";
const projectKey = "Your project client key or server key";
const paymasterUrl = "https://paymaster.particle.network";
(async () => {
const response = await Axios.post(
paymasterUrl,
{
method: "pm_paymasterBalance",
params: [],
},
{
params: {
projectUuid,
projectKey,
},
}
);
console.log(response.data);
})();
Query Parameters
UUID of the project.
Key of the project.
Body
application/json
Request to retrieve the balance of the paymaster.
Version of the JSON-RPC protocol, should be 2.0.
Example:
"2.0"
The request identifier.
Example:
0
API method being called.
Available options:
pm_paymasterBalance No parameters are needed for this request.
